<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui"
      xmlns="http://www.w3.org/1999/xhtml">
    <f:loadBundle
        basename="org.inra.ecoinfo.acbb.extraction.jsf.panels.associateStep"
        var="associateStep"/>
    <h:outputStylesheet name="css/extraction/#{css}"/>
    <h:outputStylesheet name="css/extraction/jsf-associateChoiceStep-styles.css"/>
    <f:loadBundle
        basename="org.inra.ecoinfo.filecomp.jsf.fileCompManagementPanel"
        var="fileCompManagementPanel"/>


    <p:remoteCommand name="updateAssociate" process="@this,#{p:component('parametersRequest')}"
                     update="listAssociates,#{p:component('parametersRequest')}, prevStepButton, nextStepButton, validImage, associateWarning"/>

    <h:panelGroup id="associateWarning">
        <h:outputText value="choisissez des fichiers associés"
                      rendered="#{not uiBean.uiVariable.variableStepIsValid}"
                      styleClass="selectionEmpty"/>
    </h:panelGroup>

    <h:panelGroup styleClass="panelControlsWrapper">
        <h:panelGroup styleClass="panelControls">
            <h:panelGroup styleClass="control">
                <p:commandLink process="@this,#{p:component('parametersRequest')}"
                               styleClass="buttonStepNext"
                               action="#{uiBean.uiAssociate.addAllAssociates}"
                               update="#{p:component('listAssociates')},#{p:component('parametersRequest')}, prevStepButton, nextStepButton, validImage, associateWarning">
                    <p:graphicImage value="#{resource['images/add.png']}"/>
                    <h:outputText value="#{associateStep.PROPERTY_MSG_ADD_ALL}"/>
                </p:commandLink>
            </h:panelGroup>
            <h:panelGroup styleClass="control">
                <p:commandLink process="@this,#{p:component('parametersRequest')}"
                               styleClass="buttonStepNext"
                               action="#{uiBean.uiAssociate.removeAllAssociates}"
                               update="#{p:component('listAssociates')},#{p:component('parametersRequest')}, prevStepButton, nextStepButton, validImage, associateWarning">
                    <p:graphicImage value="#{resource['images:remove_selection.png']}"/>
                    <h:outputText value="#{associateStep.PROPERTY_MSG_REMOVE_ALL}"/>
                </p:commandLink>
            </h:panelGroup>
        </h:panelGroup>
    </h:panelGroup>

    <p class="intro">choisissez les fichier associés à l'extraction.</p>

    <h:panelGroup id="listAssociates">
        <h:panelGroup id="panelListFiles">
            <p:dataTable var="fileComp" value="#{uiBean.uiAssociate.associatesAvailables}" scrollable="true"
                         expandedRow="falseœ"
                         rendered="#{uiBean.uiVariable.variableStepIsValid}" resizableColumns="true"
                         id="filesTable" styleClass="dataTable">

                <f:facet name="header">
                    <h:panelGrid styleClass="filters" columns="2"
                                 columnClasses="filterLeft, filterRight"
                                 rowClasses="odd-row, even-row">
                    </h:panelGrid>
                </f:facet>
                <p:column styleClass="nom" toggleable="true" sortBy="#{fileComp.file.completeName}"
                          filterBy="#{fileComp.file.completeName}">
                    <f:facet name="header">
                        <h:panelGroup layout="inline">
                            <h:outputText value="#{associateStep.PROPERTY_MSG_NAME_COLUMN}"/>
                        </h:panelGroup>
                    </f:facet>
                    <p:rowToggler/>
                    <h:panelGroup>
                        <h:outputText styleClass="bold"
                                      value="#{fileComp.file.completeName}"/>
                    </h:panelGroup>
                </p:column>
                <p:column>
                    <f:facet name="header">
                        <h:panelGroup styleClass="nom" layout="inline">
                            <h:outputText value="#{associateStep.PROPERTY_MSG_SELECT_COLUMN}"/>
                        </h:panelGroup>
                    </f:facet>
                    <h:panelGroup id="checkBoxesPanel" styleClass="img" style="text-align:left">
                        <h:selectBooleanCheckbox value="#{fileComp.selected}" rendered="#{not fileComp.mandatory}">
                            <p:ajax listener="#{uiBean.uiAssociate.selectAssociate(fileComp.file.fileComp.id)}"
                                    oncomplete="updateAssociate()"/>
                        </h:selectBooleanCheckbox>
                        <h:outputText value="#{fileCompManagementPanel.PARAM_MSG_MANDATORY_SIMPLE}"
                                      rendered="#{fileComp.mandatory}"/>
                    </h:panelGroup>
                </p:column>
                <p:rowExpansion>
                    <p:panel id="togglePanel" styleClass="togglePanel collapsed"
                             rendered="#{fileComp.file.code!=''}">

                        <h:panelGrid styleClass="collapsedItem" columns="2"
                                     columnClasses="collapsedItemLeft,collapsedItemRight">

                            <h:outputLabel>#{fileCompManagementPanel.PROPERTY_MSG_DESCRIPTION}</h:outputLabel>
                            <h:outputText value="#{fileComp.file.description}"/>
                            <h:outputLabel>#{fileCompManagementPanel.PARAM_MSG_VALIDITY_FROM}</h:outputLabel>
                            <h:outputText rendered="#{fileComp.file.dateDebut!=null}"
                                          value="#{fileComp.file.dateDebut}">
                                <f:converter converterId="localDateTimeConverterDD_MM_YYYY"/>
                            </h:outputText>
                            <h:outputText rendered="#{fileComp.file.dateDebut==null}"
                                          value="date de début de validité non définie "/>
                            <h:outputLabel>#{fileCompManagementPanel.PARAM_MSG_VALIDITY_TO}</h:outputLabel>
                            <h:outputText rendered="#{fileComp.file.dateFin!=null}"
                                          value="#{fileComp.file.dateFin}">
                                <f:converter converterId="localDateTimeConverterDD_MM_YYYY"/>
                            </h:outputText>
                            <h:outputText rendered="#{fileComp.file.dateFin==null}"
                                          value="date de fin de validité non définie "/>
                            <h:outputLabel>#{fileCompManagementPanel.PARAM_MSG_UPLOADER}</h:outputLabel>
                            <h:outputText value="#{fileComp.file.createUserName}"/>
                            <h:outputLabel>#{fileCompManagementPanel.PARAM_MSG_DATE}</h:outputLabel>
                            <h:outputText value="#{fileComp.file.createDate}">
                                <f:converter converterId="localDateTimeConverterDD_MM_YYYY"/>
                            </h:outputText>
                            <h:outputLabel>#{fileCompManagementPanel.PARAM_MSG_LAST_UPLOADER}</h:outputLabel>
                            <h:outputText value="#{fileComp.file.lastModifyUserName}"/>
                            <h:outputLabel>#{fileCompManagementPanel.PARAM_MSG_LAST_MODIFY_DATE}</h:outputLabel>
                            <h:outputText value="#{fileComp.file.lastModifyDate}">
                                <f:converter converterId="localDateTimeConverterDD_MM_YYYY"/>
                            </h:outputText>
                            <h:outputLabel>#{fileCompManagementPanel.PROPERTY_MSG_SIZE_FILE}</h:outputLabel>
                            <h:outputText value="#{fileComp.file.size}"/>
                            <h:outputLabel>&nbsp;</h:outputLabel>
                            <h:outputText
                                value="#{fileComp.file.mandatory?fileCompManagementPanel.PARAM_MSG_MANDATORY:fileCompManagementPanel.PARAM_MSG_NOT_MANDATORY}"/>
                        </h:panelGrid>
                    </p:panel>

                </p:rowExpansion>

            </p:dataTable>
        </h:panelGroup>
    </h:panelGroup>
</html>